$headerListSize: 32px;

.Header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 64px;
  z-index: 100;
  box-shadow: 0 2px 4px 0 rgba(0,0,0,0.05);
  transition: .3s cubic-bezier(.4, 0, .2, 1);
  @include themify($themes) {
    background-color: themed('backgroundThick');
    border-bottom: themed('border');
  }
  clear: both;
  &__inner {
    max-width: $breakpoint-xl;
    height: 100%;
    margin: 0 auto;
  }
  &__list {
    cursor: pointer;
    float: left;
    margin: calc( ( 6rem - #{ $headerListSize } ) / 2 ) 24px;
    &-image {
    }
  }
  &-hidden {
    display: none !important;
  }
  &__logo {
    $headerLogoSize: 40px;
    height: $headerLogoSize;
    margin: calc( ( 6rem - #{ $headerLogoSize } ) / 2 ) 44px;
    @include mq-up(xl) {
      margin-left: 0;
    };
    @include mq-down(fm) {
      height: 24px;
      margin: calc( ( 6rem - 24px ) / 2 ) 20px;
    }
    @include mq-down(sm) {
      margin-left: 12px;
      margin-right: 4px;
    };
    &__link {
      @include default-link;
      float: left;
      margin-right: 0px;
      @include mq-down(fm) {
        margin-right: 0px;
      }
    }
  }
  &__links {
    display: inline;
    float: right;
    padding: 10px 20px;
    text-align: center;
    position: relative;
    @include mq-down(lg) {
      padding: 10px 12px;
    };
    @include mq-down('md') {
      display: none;
    };
  }
  &__link {
    padding: 10px;
    padding-right: 14px;
    height: 100%;
    @include default-link();
    display: inline-block;
    vertical-align: middle;
    @include FS('S');
    @include FM('L');
    @include themify($themes) {
      color: themed('stringSecondary');
    }
    &:hover {
      @include themify($themes) {
        color: themed('mainLight');
      }
      text-decoration: underline;
    }
  }
  &__locales {
    float: right;
    padding: 14px 28px;
    padding-left: 0px;
    @include mq-down(sm) {
      padding: 10px 12px;
    };
    width: 200px;
  }
}

#Header-less-button {
  margin-right: 8vw !important;
}


.Header-animation {
  transform: translateY(-100%);
}
